gnustep-make failed to install

Ryan Schmidt ryandesign at
Sat Oct 17 13:20:03 PDT 2009

On Oct 17, 2009, at 05:31, Frank J. R. Hanstick wrote:

> 	When trying to install gnustep, the following error occurred:
> --->  Building gcc42
> --->  Staging gcc42 into destroot
> --->  Installing gcc42 @4.2.4_1
> --->  Activating gcc42 @4.2.4_1
> --->  Cleaning gcc42
> --->  Fetching gnustep-make
> --->  Attempting to fetch gnustep-make-2.2.0.tar.gz from
> --->  Verifying checksum(s) for gnustep-make
> --->  Extracting gnustep-make
> --->  Configuring gnustep-make
> Error: Target org.macports.configure returned: configure failure:  
> shell command " cd "/opt/local/var/macports/build/ 
> _opt_local_var_macports_sources_rsync.macports.org_release_ports_gnustep_gnustep 
> -make/work/gnustep-make-2.2.0" && ./configure --prefix=/opt/local/ 
> GNUstep CC=gcc-mp-4.2 --with-library-combo=gnu-gnu-gnu --with-objc- 
> lib-flag=-lobjc-gnu --with-config-file=/opt/local/GNUstep/System/ 
> Library/GNUstep.conf " returned error 77
> Command output: checking for gcc... gcc-mp-4.2
> checking for C compiler default output file name...
> configure: error: C compiler cannot create executables
> See `config.log' for more details.
> Error: The following dependencies failed to build: ArtResources  
> gnustep-core gnustep-back gnustep-gui gnustep-base gnustep-make  
> libffi libxslt libxml2 gnutls libgcrypt libgpg-error libtasn1 lzo  
> opencdk libungif libart_lgpl GMastermind GMines GNUMail Etoile  
> SQLClient Performance oniguruma5 poppler gtk2 atk glib2 gtk-doc  
> docbook-xml docbook-xml-4.1.2 xmlcatmgr docbook-xml-4.2 docbook- 
> xml-4.3 docbook-xml-4.4 docbook-xml-4.5 docbook-xml-5.0 docbook-xsl  
> gnome-doc-utils iso-codes p5-xml-parser py26-libxml2 python26 gdbm  
> rarian getopt intltool gnome-common p5-getopt-long p5-pathtools p5- 
> scalar-list-utils cairo libpixman jasper pango shared-mime-info xorg- 
> libXcomposite xorg-compositeproto xorg-fixesproto xorg-libXfixes  
> xorg-libXcursor xorg-libXdamage xorg-damageproto xorg-libXinerama  
> xorg-xineramaproto openjpeg poppler-data Pantomime PRICE TalkSoup  
> netclasses ImageMagick p7zip a2ps psutils gworkspace system- 
> preferences PreferencePanes windowmaker giflib xpm
> Error: Status 1 encountered during processing.
> I searched the bug data base and found #43915 which says the gnustep  
> is not universal.  Does that mean that it will not install on a PPC  
> even though gcc42 installed?

No, it means it will not install with the +universal variant, on any  
Mac, but should install without the +universal variant, on any may.

> I am running MacOS 10.5.8 on a PPC G4.

What does the config.log say? Can you attach it here?

More information about the macports-users mailing list